data airline;
	set sashelp.air;   * Airline data already in library sashel;
	logair = log(air); * Take log of Airline;
run;
ods graphics on;
proc ucm data=airline;
	model logair;
	* local linear trend: level+slope;
	level;
	slope;
	* stochastic dummy seasonal component with period=12; 
	season length=12 type=dummy;
	* irregular component (observation error);
	irregular;
	* estimate and plot dignostics graphs;
	estimate plot=panel;
	* forecast up tot 12 months ahead and plot series+level;
	forecast lead=12 plot=decomp;
run;
ods graphics off;
